# Uses of Enum Class
org.apache.lucene.queryparser.flexible.core.parser.EscapeQuerySyntax.Type

Packages that use EscapeQuerySyntax.Type
Package
Description
org.apache.lucene.queryparser.flexible.core.parser
Necessary interfaces to implement text parsers.
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser

- ## Uses of EscapeQuerySyntax.Type in org.apache.lucene.queryparser.flexible.core.parser

  Methods in org.apache.lucene.queryparser.flexible.core.parser that return EscapeQuerySyntax.Type
  Modifier and Type
  Method
  Description
  `static EscapeQuerySyntax.Type`
  EscapeQuerySyntax.Type.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EscapeQuerySyntax.Type[]`
  EscapeQuerySyntax.Type.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.queryparser.flexible.core.parser with parameters of type EscapeQuerySyntax.Type
  Modifier and Type
  Method
  Description
  `CharSequence`
  EscapeQuerySyntax.`escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)`

- ## Uses of EscapeQuerySyntax.Type in org.apache.lucene.queryparser.flexible.standard.parser

  Methods in org.apache.lucene.queryparser.flexible.standard.parser with parameters of type EscapeQuerySyntax.Type
  Modifier and Type
  Method
  Description
  `CharSequence`
  EscapeQuerySyntaxImpl.`escape(CharSequence text, Locale locale, EscapeQuerySyntax.Type type)`